#include <iostream>

using namespace std;

int main()
{
    int n,k;
    cin>>n>>k;
    int r[n];
    int x;
    int p=0;
    bool b;
    for(int i=0;i<n;i++){
        cin>>x;
        if(p==0){
            p=x;
        }
        if(b){
            cout<<x;
        }
        if(x==k){
            b=true;
        }
        else{
            b=false;
        }
    }
    if(b){
        cout<<p;
    }
    return 0;
}